{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-grafana-pdc-agent
  namespace: prometheus
spec:
  endpointSelector:
    matchLabels:
      name: grafana-pdc-agent
  egress:
    - toFQDNs:
      - matchName: private-datasource-connect-api-prod-eu-north-0.grafana.net
      - matchName: private-datasource-connect-prod-eu-north-0.grafana.net
{{- end }}
